Subject: Re: bug#72358: 29.4; oauth2.el improvements

From: Björn Bidar <[email-masked]>
Date: Tue, 30 Jul 2024 17:08:21 +0300

Xiyue Deng <[email-masked]> writes:

> The fourth patch may need a bit of background: oauth2.el (optionally)
> uses plstore to save authentication data for future reuse, and the
> plstore id for an account is computed using a combination of `auth-url',
> `token-url', and `scope'.  However, this combination of data doesn't
> guarantee uniqueness for accounts for a same provider, e.g. for Gmail,
> the three parameters are the same for different accounts, and hence
> storing a second account information will override the first one.

Would it make sense to plug OAuth2.el into auth-source to store the
authentication token safely inside an existing credential storage?

Various applications already do so when using the native credential
storages such as Freedesktop.org or the macOS keyring.